Skip to main content
GET
Get control by an ID

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

controlId
string
required

Response

200 - application/json

Ok

id
string
required

The control's unique ID.

externalId
string | null
required

The control's external ID.

name
string
required

The control's name.

description
string
required

The control's description.

source
enum<string>
required

The control's source, either "VANTA" or "CUSTOM".

Available options:
Vanta,
Custom
domains
string[]
required

The security domains that the control belongs to.

owner
object | null
required

The control's owner.

customFields
object[]
required

The control's custom field values, if control custom fields is included in your Vanta instance.

creationDate
string<date-time> | null
required

When the control was created. Returns null for Vanta library controls.

modificationDate
string<date-time> | null
required

When the control was last modified. Returns null for Vanta library controls.

numDocumentsPassing
number<double>
required

The number of passing documents that are linked to the control.

numDocumentsTotal
number<double>
required

The total number of documents that are linked to the control.

numTestsPassing
number<double>
required

The number of passing tests that are linked to the control.

numTestsTotal
number<double>
required

The total number of tests that are linked to the control.

status
enum<string>
required

The status of the control as determined by number of passing tests and documents.

Available options:
NO_EVIDENCE_MAPPED,
NOT_STARTED,
IN_PROGRESS,
COMPLETED
note
string | null
required

A user created note for the control.

role
string | null

The control's GDPR role, if the control is a GDPR control.